# $Id: e-smith-dynamicdns-tzo.spec,v 1.2 2021/01/05 21:55:20 jpp Exp $

Summary: smeserver dynamic dns client to update tzo.com
%define name smeserver-dynamicdns-tzo
Name: %{name}
%define version 2.6.0
%define release 4
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Utilities
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: e-smith-base, e-smith-lib, e-smith >= 4.1
AutoReqProv: no

%changelog
* Mon Mar 11 2024 rename-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.6.0-4.sme
- Rename to smeserver-dynamicdns-tzo [SME: 12359]

* Wed Jul 12 2023 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.6.0-3.sme
- Roll up patches and move to git repo [SME: 12338]

* Wed Jul 12 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Tue Jan 05 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-2.sme
- add update event [SME: 11130]

* Fri Feb 5 2016 Daniel Berteaud <daniel@firewall-services.com> 2.6.0-1
- Roll new stream for sme10

* Wed Feb 13 2013 Shad L. Lords <slords@mail.com> 2.4.0-1.sme
- Roll new stream for sme9

* Tue Oct 7 2008 Shad L. Lords <slords@mail.com> 2.2.0-1.sme
- Roll new stream to separate sme7/sme8 trees [SME: 4633]

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 1.4.0-02
- Bump release number only

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-01]
- Roll stable version number to 1.4.0

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.1-01]
- Test build to verify CVS conversion

* Wed Jun 5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-01]
- rollRPM: Rolled version number to 1.3.0-01. Includes patches up to 1.2.0-04.

* Fri Aug 17 2001 gordonr
- [1.2.0-04]
- Autorebuild by rebuildRPM

* Fri Jul 6 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-03]
- Changed license to GPL

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- [1.2.0-02]
- Rolling release number for GPG signing.

* Thu Jan 25 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-01]
- Rolled version number to 1.2.0-01. Includes patches upto 1.1.0-01.

* Tue Jan 9 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-01]
- Rolled version number to 1.1.0-01. Includes patches upto 0.0.1-1

* Sat Jan  6 2001 Charlie Brady <charlieb@e-smith.com>
- initial release

Provides: e-smith-dynamicdns-tzo
%description
smeserver server dynamic DNS client module to update tzo.com DNS data

%prep
%setup
#%patch1 -p1
mkdir -p  root/etc/e-smith/events/%{name}-update

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
